testing::internal::ParameterizedTestFactory< TestClass > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::ParameterizedTestFactory< TestClass >:

## Public Types

typedef TestClass::ParamType | ParamType

## Public Member Functions

| ParameterizedTestFactory (ParamType parameter)
Test * | CreateTest () override
Public Member Functions inherited from testing::internal::TestFactoryBase
virtual | ~TestFactoryBase ()

## Additional Inherited Members

Protected Member Functions inherited from testing::internal::TestFactoryBase
| TestFactoryBase ()

## Detailed Description

### template<class TestClass>
class testing::internal::ParameterizedTestFactory< TestClass >

Definition at line 10943 of file gtest.h.

## Member Typedef Documentation

## ParamType

template<class TestClass >

typedef TestClass::ParamType testing::internal::ParameterizedTestFactory< TestClass >::ParamType

Definition at line 10945 of file gtest.h.

## Constructor & Destructor Documentation

## ParameterizedTestFactory()

template<class TestClass >

testing::internal::ParameterizedTestFactory< TestClass >::ParameterizedTestFactory | ( | ParamType | parameter | ) |

inlineexplicit

Definition at line 10946 of file gtest.h.

## Member Function Documentation

## CreateTest()

template<class TestClass >

Test* testing::internal::ParameterizedTestFactory< TestClass >::CreateTest | ( |  | ) |

inlineoverridevirtual

Implements testing::internal::TestFactoryBase.

Definition at line 10948 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h